variables:
  HELM_CHART_VERSION: ""
  IMAGE: ""
  HELM_CHARTS_DIRECTORY_PATH: ""
  CHART_NAME: ""
  URL: ""
  PROJECT_ID: ""
  FORM: ""

.build-upload-helm-chart:
  image: $IMAGE
  script:
    - cd $HELM_CHARTS_DIRECTORY_PATH
    - helm package . -d ./helm-releases
    - cd ./helm-releases
    - curl --request POST --form $FORM --user "$USERNAME:$ACCESS_TOKEN" $URL